Subject: Re: bug#5833: 23.1.94; Opening files on network shares on w32 is slow

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Apr 2010 05:53:33 +0300

> Date: Tue, 06 Apr 2010 21:16:42 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > find-file-noselect                30          119.71899999  3.9906333333
> > find-file-noselect-1              30          84.484000000  2.8161333333
> > insert-file-contents              30          42.253        1.4084333333
> > after-find-file                   30          42.230999999  1.4076999999
> > file-exists-p                     780         34.638999999  0.0444089743
> > file-truename                     60          29.048999999  0.4841499999
> 
> Perhaps look at why we spend about 1 sec (3.99 - 2.81) inside
> find-file-noselect, and also why are we calling file-exists-p so many
> times.

Also, how is this comparable with the 7 seconds you reported
originally?  This says it only takes 4 to visit a file, not 7.